Bug 1179173 (plasma-desktop) - Review Request: plasma-desktop - Plasma Desktop
Summary: Review Request: plasma-desktop - Plasma Desktop
Keywords:
Status: CLOSED RAWHIDE
Alias: plasma-desktop
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: plasma-workspace
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-01-06 11:10 UTC by Jan Grulich
Modified: 2015-01-20 13:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:43:17 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2015-01-06 11:10:36 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-desktop.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-desktop-5.1.2-2.fc21.src.rpm
Description: Plasma 5 Desktop
Fedora Account System Username: jgrulich

Comment 1 Rex Dieter 2015-01-06 18:51:57 UTC
sources: ok
cd5dbce577c175cb33008702400d5598  plasma-desktop-5.1.2.tar.xz

naming: ok (Mostly)

1. SHOULD omit "5" from pkg Summary , ie
Summary: Plasma Desktop
less worries when/if Plasma 6 appears, or maybe just not worry that far ahead :)

scriptlets: NOT ok

2. MUST add icon-cache scriptlets due to
%{_datadir}/icons/*/*/*/*

3. MUST validate application .desktop files
%{_datadir}/applications/*.desktop

macros: ok

I'll review relevant runtime deps from kde-workspace, and whether any/all should be added here or not, but that's not a review blocker either.

license: NOT ok
4. there seems to be GPLv2-only bit:
kcms/componentchooser
the rest is fairly GPLv2 or GPLv3 (or upgradable from LGPL), I guess we'll have to go with:
# kcms/componentchooser is GPLv2 only
# rest is GPLv2 or GPLv3 (or upgradable from LGPL)
License: GPLv2 and (GPLv2 or GPLv3)

Comment 2 Jan Grulich 2015-01-07 10:17:11 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-desktop.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-desktop-5.1.2-3.fc21.src.rpm
Description: Plasma Desktop

- Omit "5" from pkg summary
- Add icon cache scriptlets
- Validate application .desktop files
- Fixed license

Comment 3 Rex Dieter 2015-01-07 15:17:20 UTC
license tag is not quite right,

License:        License: GPLv2 and (GPLv2 or GPLv3)

but that's cosmetic, and can be fixed post-review easy enough (please add the .spec comment from comment #1 too)


APPROVED.

Comment 4 Jan Grulich 2015-01-08 09:00:19 UTC
New Package SCM Request
=======================
Package Name: plasma-desktop
Short Description: Plasma desktop
Upstream URL: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Owners: group::kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-08 13:53:22 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.